Page MenuHomePhabricator

Don't hide the View newsletter link?
Open, LowPublic

Description



I find it annoying that I have to click on ... for the View Newsletter think. That doesn't seem necessary - in case you are wondering I'm on a Safari (MacBook Air, with "default" 100% font size).

Event Timeline

Elitre created this task.Sep 4 2017, 12:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 4 2017, 12:08 PM
Qgil added a subscriber: Qgil.

I think that is standard Notifications behavior, not something specific that the Newsletter extension is doing.

While the whole area of the notification links to the issue announced, the "View Newsletter" label points to a different URL (the Newsletter info page), and this is why it appears in a different space (I think).

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptSep 4 2017, 1:29 PM

If you're getting duplicate notifications, please file that separately.

Qgil added a comment.Sep 5 2017, 8:16 PM

So I think I got two notifications about the same newsletter? (One is read and is at bottom of screenshot.)

No, looking at https://test.wikipedia.org/wiki/Newsletter:Testing_McTestFace what happened was that the publisher announed two issues one after the other, without specifying any title for each issue.

@Mattflaschen-WMF I added Notifications for the second part of this report. @Elitre is referring to the "..." in the notification that the user has to click in order to get the "View newsletter" label/button.

Elitre updated the task description. (Show Details)Sep 6 2017, 10:56 AM

I think that is standard Notifications behavior, not something specific that the Newsletter extension is doing.

This ... option is supposed to be used when all links on the link take all the room.

QuimGil triaged this task as Low priority.
QuimGil added a subscriber: QuimGil.

This ... option is supposed to be used when all links on the link take all the room.

Please excuse my ignorance. Is this a behavior that comes as is from Notifications or can it be configured differently?

Please excuse my ignorance. Is this a behavior that comes as is from Notifications or can it be configured differently?

Echo notifications (usually) have a primary link, and sometimes have secondary links.

For the flyout (as shown in screenshot): When you click anywhere except special areas, you go to the primary link. E.g. if you click "has announced", the surrounding area, etc. The special areas are as you'd expect (... and secondary links shown by default).

Here, the primary link takes you to the latest issue, which is generally what you'd want.

The 'View newsletter' link goes to the overall newsletter, which you probably don't want as often.

That said, it seems artificial to put it in the menu unnecessarily. I'll change this to go outside.

@jmatazzoni Also, should we change it so if there are less than or equal to 2 secondary links, they appear outside the ... menu (visible by default, unless explicitly forced into the menu)?

Change 376646 had a related patch set uploaded (by Mattflaschen; owner: Mattflaschen):
[mediawiki/extensions/Newsletter@master] Prioritize the secondary link, so it shows (without needing ... menu)

https://gerrit.wikimedia.org/r/376646

Qgil removed a subscriber: Qgil.Sep 8 2017, 10:41 AM

Change 376646 merged by jenkins-bot:
[mediawiki/extensions/Newsletter@master] Prioritize the secondary link, so it shows (without needing ... menu)

https://gerrit.wikimedia.org/r/376646

Change 376862 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[mediawiki/extensions/Echo@master] Always place items outside menu if there's less than two of them

https://gerrit.wikimedia.org/r/376862

@jmatazzoni Also, should we change it so if there are less than or equal to 2 secondary links, they appear outside the ... menu (visible by default, unless explicitly forced into the menu)?

@Mooeypoo recalls that it was supposed to be like this. So I'll assume it's okay to merge her patch, unless we hear otherwise (we can always change this part easily).

I've asked on the patch.. but I'll ask again here:

It looks like it's always up to the context(bundle, single, mobile, email,...) to decide how many actions are inside or outside.

Is there any example where this configuration is used to go against the context and it actually makes sense?

Change 376862 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] Always place items outside menu if there's less than two of them

https://gerrit.wikimedia.org/r/376862

Restricted Application added a project: Growth-Team. · View Herald TranscriptAug 30 2018, 9:10 PM

All patch-sets related to this task are merged. Safe to close ?

Elitre removed a subscriber: Elitre.Nov 8 2018, 5:08 PM